Page MenuHomePhabricator

Update Adyen adapter to use SHA-256 signature
Closed, ResolvedPublic2 Story Points

Description

Adyen adapter is using deprecated SHA-1 signature for iframe requests. Update to use SHA-256 signature as described here: https://docs.adyen.com/pages/viewpage.action?pageId=5376964

We've been given a new account, which seems to have removed our ability to create skins using the SHA-1 HMAC. This is now blocking the internal test.

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterUse SHA-256 HMAC for Adyen

Event Timeline

Ejegg created this task.Oct 26 2015, 10:31 PM
Ejegg raised the priority of this task from to Needs Triage.
Ejegg updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2015, 10:31 PM
Ejegg updated the task description. (Show Details)Nov 9 2015, 10:23 PM
Ejegg added a project: FR-Adyen.
Ejegg set Security to None.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 9 2015, 10:23 PM
Ejegg renamed this task from Update Adyen adapter to use SHA-265 signature to Update Adyen adapter to use SHA-256 signature.Nov 24 2015, 2:42 AM

Change 255064 had a related patch set uploaded (by Ejegg):
WIP use SHA-256 HMAC for Adyen

https://gerrit.wikimedia.org/r/255064

Ejegg triaged this task as High priority.Nov 24 2015, 3:51 AM
Ejegg updated the task description. (Show Details)
Ejegg edited a custom field.
Ejegg claimed this task.Nov 24 2015, 4:06 AM
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint X-Ray Spex board.

Change 255064 merged by jenkins-bot:
Use SHA-256 HMAC for Adyen

https://gerrit.wikimedia.org/r/255064

Ejegg closed this task as Resolved.Dec 10 2015, 12:10 AM
Ejegg removed a project: Fundraising Sprint Zapp.